---
title: "Cancel freeform invite"
url: "https://docs.signnow.com/docs/doc-freeform-invite/operations/put-invite-invite_id-cancel"
type: "endpoint"
section: "doc-freeform-invite"
slug: "doc-freeform-invite/operations/put-invite-invite_id-cancel"
method: "PUT"
path: "/invite/{invite_id}/cancel"
operation_id: "put-invite-invite_id-cancel"
authorization: "bearer"
---

# Cancel freeform invite

`PUT /invite/{invite_id}/cancel`

Cancels a FreeForm invite with a specified cancellation reason.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `invite_id` | string | Yes | ID of the invite or signature request. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string",
      "maxLength": 1000,
      "description": "The reason for canceling the invite.",
      "x-stoplight": {
        "id": "jhmdiyr647dtg"
      }
    }
  }
}
```

## Responses

### 200

OK

**Example** (`Success`)

```json
{
  "id": "96XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

### 400

* Invalid authorization
* Field invite not found
* Document not found
* Incorrect invite id or signature request id

**Example** (`Document not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "Document not found"
    }
  ]
}
```

**Example** (`Invalid authorization`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Field invite not found`)

```json
{
  "errors": [
    {
      "code": 66502,
      "message": "Field invite not found"
    }
  ]
}
```

**Example** (`Incorrect invite id or signature request id`)

```json
{
  "errors": [
    {
      "code": 66360,
      "message": "Signature request not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/invite/{invite_id}/cancel" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/doc-freeform-invite/operations/put-invite-invite_id-cancel*
